Subject: Re: bug#6214: 23.1; json-read-string crashes emacs with long string

From: Chong Yidong <[email-masked]>
Date: Tue, 17 Aug 2010 12:27:25 -0400

Chong Yidong <[email-masked]> writes:

> Hmm, there is a problem, though.  If we attempt to avoid a stack
> overflow in `apply' by using the heap rather than the stack to store
> large numbers of arguments, those arguments are invisible to the
> stack-marking gargbage collector.

Never mind, I got confused.  SAFE_ALLOCA uses record_unwind_protect, so
it's gc safe.